POST /api/saved_objects/_bulk_get

Spaces method and path for this operation:

post /s/{space_id}/api/saved_objects/_bulk_get

Refer to Spaces for more information.

WARNING: This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.

Retrieves multiple Kibana saved objects by type and ID in a single request.

For transferring or backing up saved objects, prefer the export API (POST /api/saved_objects/_export).

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

application/json

Body

  • fields array[string]

    Not more than 100 elements.

  • id string Required
  • namespaces array[string]

    Not more than 100 elements.

  • type string Required

Responses

  • 200 application/json

    A bulk get response.

  • 400 application/json

    A bad request.

POST /api/saved_objects/_bulk_get
curl \
  -X POST "${KIBANA_URL}/api/saved_objects/_bulk_get" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "kbn-xsrf: true" \
  -H "Content-Type: application/json" \
  -d '[{"type":"dashboard","id":"example-dashboard-1"},{"type":"dashboard","id":"does-not-exist"}]'
POST kbn://api/saved_objects/_bulk_get
[{"type":"dashboard","id":"example-dashboard-1"},{"type":"dashboard","id":"does-not-exist"}]
Request example
[
  {
    "id": "example-dashboard-1",
    "type": "dashboard"
  },
  {
    "id": "does-not-exist",
    "type": "dashboard"
  }
]
Response examples (200)
{
  "saved_objects": [
    {
      "attributes": {
        "title": "Example dashboard 1"
      },
      "id": "example-dashboard-1",
      "managed": false,
      "namespaces": [
        "default"
      ],
      "references": [],
      "type": "dashboard",
      "updated_at": "2026-04-17T12:00:00.000Z",
      "version": "WzEsMV0="
    },
    {
      "error": {
        "error": "Not Found",
        "message": "Saved object [dashboard/does-not-exist] not found",
        "statusCode": 404
      },
      "id": "does-not-exist",
      "type": "dashboard"
    }
  ]
}
Response examples (400)
{
  "error": "Bad Request",
  "message": "Unsupported saved object type(s): unknownType",
  "statusCode": 400
}